/**
  *  \file client/tiles/shipmovement.h
  *
  *  (c) 2001-2024 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_SHIPMOVEMENT_H
#define PCC_V2_CLIENT_TILES_SHIPMOVEMENT_H

#include "client/wtile.h"
#include "ui/table.h"
#include "client/wcolorframe.h"
#include "ui/widgets/button.h"

/// Ship movement tile (waypoint/speed/mass/ETA).
class WShipMovementTile : public WObjectSelectionObserverTile {
    void init();
    void drawShipMovementTile(GfxCanvas& can);
    ObjectHolder h;
    WColorFrame cf_f10;
    UIButton btn_q;
 public:
    WShipMovementTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

class GShip;

int computeCloakFuel(const GShip& ship, int eta);
int computeTurnFuel(const GShip& ship, int eta);

#endif
