/**
  *  \file game/actions/planetbase.h
  *
  *  (c) 2001-2024 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_ACTIONS_PLANETBASE_H
#define PCC_V2_GAME_ACTIONS_PLANETBASE_H

#include "game/actions/cargocost.h"

class GPlanet;

class GPlanetBuildStarbaseAction : public GCargoCostTransaction {
    GPlanet&   the_planet;
    const bool want_build;
    SignalConnection conn;

    void update();
 public:
    GPlanetBuildStarbaseAction(GPlanet& the_planet, GCargoContainer& container, bool want_build);
    ~GPlanetBuildStarbaseAction();
 protected:
    void commit();
};

#endif
