/**
  *  \file ui/widgets/richstatic.cc
  *
  *  (c) 2001-2024 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "ui/widgets/richstatic.h"

UIRichStatic::UIRichStatic(const RichText& text, int width)
    : UIWidget(),
      width(width),
      doc()
{
    this->setText(text);
}

UIRichStatic::~UIRichStatic()
{ }

void
UIRichStatic::drawContent(GfxCanvas& can)
{
    GfxContext ctx;
    ctx.useCanvas(can);
    ctx.useColorScheme(getSkin());
    // drawBackground(ctx, getExtent());
    doc.draw(ctx, getExtent(), 0);
    can.update(getExtent());
}

void
UIRichStatic::getLayoutInfo(LayoutInfo& li)
{
    li.flags = 0;
    li.min_size = li.pref_size = GfxPoint(width, doc.getDocumentHeight());
}

void
UIRichStatic::setText(const RichText& text)
{
    doc.clear();
    doc.setPageWidth(width);
    doc.add(text);
    doc.finish();
}
